Results 1 to 3 of 3
  1. #1
    Join Date
    Apr 2002
    Posts
    930

    Trouble installing PerlMagick

    I am trying to install PerlMagick on a server and I cannot get it to install. I am assuming that I am missing a dependency or library from somewhere but do not have any clue as to what might be missing. Below is a portion of the output from the make command.

    Code:
    # make
    cc -c  -I../ -I.. -I/usr/include/freetype2 -I/X11 -I/usr/include/libxml2 -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -g -O2 -Wall -W -pthread -O2   -DVERSION=\"6.3.0\" -DXS_VERSION=\"6.3.0\" -fpic "-I/usr/lib/perl5/5.8.7/i686-linux/CORE"  -D_FILE_OFFSET_BITS=64 -DHAVE_CONFIG_H Magick.c
    Magick.xs:211: warning: missing initializer
    Magick.xs:211: warning: (near initialization for `Methods[8].arguments')
    Magick.xs:215: warning: missing initializer
    Magick.xs:215: warning: (near initialization for `Methods[11].arguments')
    Magick.xs:216: warning: missing initializer
    Magick.xs:216: warning: (near initialization for `Methods[12].arguments')
    .
    .
    .
    any suggestions. The server is running Centos. This is from trying to install PerlMagick along with ImageMagick directly from source, version 6.3.0.

    Thanks

  2. #2
    First u gotta compile imagemagick from source then perlmagick will get installed.

  3. #3
    Join Date
    Apr 2002
    Posts
    930
    ImageMagick did install OK from source. PerlMagick did not install and when I try to build PerlMagick from the PerlMagick directory, I get the above errors.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •